Skip to main content
POST
/
v1
/
transactions
/
nxosnet-transfers
cURL
curl --request POST \
  --url https://api.nxos.io/v1/transactions/nxosnet-transfers \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "accountId": "acct_a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4",
  "beneficiaryId": "bene_a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4",
  "amount": "100.00",
  "asset": "USD"
}
'
{
  "object": "transaction",
  "transactionId": "txn_c3d4e5f6a1b2c3d4e5f6a1b2c3d4e5f6",
  "type": "NXOSNET_TRANSFER",
  "status": "COMPLETED",
  "accountId": "acct_a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4",
  "beneficiaryId": "bene_a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4",
  "amount": "100.00",
  "asset": "USD",
  "targetHandle": "acme",
  "createdAt": "2025-03-15T14:32:00.000Z"
}

Headers

Authorization
string
required

Bearer token. Format: Bearer <api_key>

Idempotency-Key
string

Unique key per logical operation. UUID v4 recommended. Max 255 characters.

Body

application/json

Request body for sending an internal Nxosnet transfer.

accountId
string
required

Source account to debit.

beneficiaryId
string
required

NXOSNET beneficiary to send to.

amount
string
required

Transfer amount in major units (e.g. "100.00").

asset
string
required

Asset code (e.g. USD, USDC).

note
string

Optional note, shown to the recipient.

tags
string[]

Free-form tags (max 20 tags, each up to 100 characters).

metadata
object

Arbitrary metadata (max 50 keys, max 4 KB serialized).

Response

The request has succeeded.

A completed internal Nxosnet transfer.

object
enum<string>
required

Object type. Always transaction.

Available options:
transaction
transactionId
string
required

Unique transaction identifier.

type
enum<string>
required

Transaction type. Always NXOSNET_TRANSFER.

Available options:
NXOSNET_TRANSFER
status
enum<string>
required

Transaction status. Always COMPLETED — internal transfers settle instantly.

Available options:
COMPLETED
accountId
string
required

Source account.

beneficiaryId
string
required

Target beneficiary.

amount
string
required

Transfer amount in major units.

asset
string
required

Asset code.

targetHandle
string
required

The recipient organization's nxosnet handle.

createdAt
string
required

When the transaction was created.